summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorJesse Duffield <jessedduffield@gmail.com>2022-01-19 09:04:16 +1100
committerJesse Duffield <jessedduffield@gmail.com>2022-01-23 14:41:48 +1100
commit88d685df533dbd800fde400b4842eb2a33b1ceeb (patch)
tree2a41430e25df19268ffcd897631af7e9f71d786c /scripts
parent61ccc1efd287b022cf29059914788152fb9f09ad (diff)
better bisect script
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/bisect.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/scripts/bisect.sh b/scripts/bisect.sh
index 9742e9c80..0e5f404cb 100755
--- a/scripts/bisect.sh
+++ b/scripts/bisect.sh
@@ -6,15 +6,15 @@
# 3) checkout the commit that's known to be failing
# 4) run this script supplying the commit sha / tag name that works and the name of the newly created test
-# usage: scripts/bisect.sh <ref that works> <integration test name>
+# usage: scripts/bisect.sh <ref that's broken> <ref that's working> <integration test name>
# e.g. scripts/bisect.sh v0.32.1 mergeConflictsResolvedExternally
# It's assumed that the current commit (i.e. HEAD) is broken.
-set -o pipefail
+if [[ $# -ne 3 ]] ; then
+ echo 'Usage: scripts/bisect.sh <ref thats broken> <ref thats working> <integration test name>'
+ exit 1
+fi
-echo $1
-echo $2
-
-git bisect start HEAD $1
-git bisect run go test ./pkg/gui -run /$2
+git bisect start $1 $2
+git bisect run sh -c "(go build -o /dev/null || exit 125) && go test ./pkg/gui -run /$3"
git bisect reset